# Visualization
TKService
Aspect

# Aspect_ColorMap Class Reference

This class defines a ColorMap object.
.

`#include <Aspect_ColorMap.hxx>`

Inheritance diagram for Aspect_ColorMap:

[legend]

## Public Member Functions

Standard_EXPORT Aspect_TypeOfColorMap | Type () const
Standard_EXPORT Standard_Integer | Size () const
| Returns the Allocated colormap Size .
Standard_EXPORT Standard_Integer | Index (const Standard_Integer aColormapIndex) const
| Returns the ColorMapEntry.Index of the ColorMap at rank <acolormapindex> . .
Standard_EXPORT void | Dump () const
Standard_EXPORT const Aspect_ColorMapEntry & | Entry (const Standard_Integer AColorMapIndex) const
| Return the value of the <index>th element of the ColorMap .
virtual Standard_EXPORT Standard_Integer | FindColorMapIndex (const Standard_Integer AColorMapEntryIndex) const =0
| Returns the index in the ColorMap of the ColorMapEntry.Index() equal to <anentryindex>. .
virtual Standard_EXPORT const Aspect_ColorMapEntry & | FindEntry (const Standard_Integer AColorMapEntryIndex) const =0
| Returns the ColorMapEntry with ColorMapEntry.Index() equal to <anentryindex>. .
virtual Standard_EXPORT Standard_Integer | NearestColorMapIndex (const Quantity_Color &aColor) const =0
| Returns the index in the ColorMap of the nearest matching ColorMapEntry .
virtual Standard_EXPORT const Aspect_ColorMapEntry & | NearestEntry (const Quantity_Color &aColor) const =0
| Returns the nearest ColorMapEntry that match aColor . .
virtual Standard_EXPORT Standard_Integer | AddEntry (const Quantity_Color &aColor)=0
| Search an identical color entry in the color map <me> and returns the ColorMapEntry Index if exist. Or add a new entry and returns the computed ColorMapEntry index used. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | Aspect_ColorMap (const Aspect_TypeOfColorMap type)

## Protected Attributes

Aspect_SequenceOfColorMapEntry | mydata

## Private Attributes

Aspect_TypeOfColorMap | mytype

## Constructor & Destructor Documentation

Standard_EXPORT Aspect_ColorMap::Aspect_ColorMap | ( | const Aspect_TypeOfColorMap | type | ) | `[protected]`

## Member Function Documentation

virtual Standard_EXPORT Standard_Integer Aspect_ColorMap::AddEntry | ( | const Quantity_Color & | aColor | ) | `[pure virtual]`

| Implemented in Aspect_ColorCubeColorMap, Aspect_ColorRampColorMap, and Aspect_GenericColorMap.

Standard_EXPORT void Aspect_ColorMap::Dump | ( |  | ) | const

Standard_EXPORT const Aspect_ColorMapEntry& Aspect_ColorMap::Entry | ( | const Standard_Integer | AColorMapIndex | ) | const

virtual Standard_EXPORT Standard_Integer Aspect_ColorMap::FindColorMapIndex | ( | const Standard_Integer | AColorMapEntryIndex | ) | const`[pure virtual]`

| Implemented in Aspect_ColorCubeColorMap, Aspect_ColorRampColorMap, and Aspect_GenericColorMap.

virtual Standard_EXPORT const Aspect_ColorMapEntry& Aspect_ColorMap::FindEntry | ( | const Standard_Integer | AColorMapEntryIndex | ) | const`[pure virtual]`

| Implemented in Aspect_ColorCubeColorMap, Aspect_ColorRampColorMap, and Aspect_GenericColorMap.

Standard_EXPORT const Aspect_ColorMap::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in Aspect_ColorCubeColorMap, Aspect_ColorRampColorMap, and Aspect_GenericColorMap.

Standard_EXPORT Standard_Integer Aspect_ColorMap::Index | ( | const Standard_Integer | aColormapIndex | ) | const

virtual Standard_EXPORT Standard_Integer Aspect_ColorMap::NearestColorMapIndex | ( | const Quantity_Color & | aColor | ) | const`[pure virtual]`

| Implemented in Aspect_ColorCubeColorMap, Aspect_ColorRampColorMap, and Aspect_GenericColorMap.

virtual Standard_EXPORT const Aspect_ColorMapEntry& Aspect_ColorMap::NearestEntry | ( | const Quantity_Color & | aColor | ) | const`[pure virtual]`

| Implemented in Aspect_ColorCubeColorMap, Aspect_ColorRampColorMap, and Aspect_GenericColorMap.

Standard_EXPORT Standard_Integer Aspect_ColorMap::Size | ( |  | ) | const

Standard_EXPORT Aspect_TypeOfColorMap Aspect_ColorMap::Type | ( |  | ) | const

## Field Documentation

Aspect_SequenceOfColorMapEntry Aspect_ColorMap::mydata `[protected]`

Aspect_TypeOfColorMap Aspect_ColorMap::mytype `[private]`

The documentation for this class was generated from the following file:

- Aspect_ColorMap.hxx